Jason Ryan avatar Jason Ryan committed 3aa7582

A heap of minor changes: and moved back to slock

Comments (0)

Files changed (7)

 # -------------------
 
 # play CDs
-cdrom=/dev/sr0
 dvd-device=/dev/sr0
 cache=5000
 
 playlist_display_mode = "columns" (classic/columns)
 browser_display_mode = "columns" (classic/columns)
 titles_visibility = "yes"
-progressbar_look = "─╼·"
+progressbar_look = "─⊙╶"
+#progressbar_look = "─╼·"
 user_interface = "classic" (classic/alternative)
 media_library_left_column = "a" (possible values: a,y,g,c,p, legend above)
 header_visibility = "no"
 max_load_image 4
 auto_image 1
 pseudo_inlines 1
-display_image 1
+display_image 0
 view_unseenobject 0
 ignore_null_img_alt 1
 display_ins_del 1

Build/msmtp/PKGBUILD

-# $Id: PKGBUILD 166148 2012-09-04 22:30:41Z eric $
+# $Id: PKGBUILD 169483 2012-10-22 00:13:27Z eric $
 # Maintainer: Eric Bélanger <eric@archlinux.org>
 # build without gnome-keyring…
 
 pkgbase=msmtp
 pkgname=('msmtp' 'msmtp-mta')
-pkgver=1.4.29
+pkgver=1.4.30
 pkgrel=1
 arch=('i686' 'x86_64')
 groups=('modified')
 url="http://msmtp.sourceforge.net"
 makedepends=('gsasl')
 source=(http://download.sourceforge.net/sourceforge/msmtp/${pkgbase}-${pkgver}.tar.bz2)
-sha1sums=('6db88d6c5093b3958b0285b5010f2677b05e0348')
+sha1sums=('fd469bae0c3394b30b771780e62bbd41c4d5d175')
 
 build() {
   cd "${srcdir}/${pkgbase}-${pkgver}"

Build/vim/PKGBUILD

-# $Id: PKGBUILD 166660 2012-09-15 04:03:40Z tdziedzic $
+# $Id: PKGBUILD 169591 2012-10-24 01:48:33Z tdziedzic $
 # Contributor: Jan "heftig" Steffens <jan.steffens@gmail.com>
 # Maintainer: tobias [ tobias at archlinux org ]
 # Maintainer: Daniel J Griffiths <ghost1227@archlinux.us>
 pkgbase=vim
 pkgname=('vim' 'vim-runtime')
 _topver=7.3
-_patchlevel=661
-__hgrev=5884d056e1d1
+_patchlevel=712
+__hgrev=57e8b75298d6
 _versiondir="vim${_topver//./}"
 pkgver=${_topver}.${_patchlevel}
 pkgrel=1
 license=('custom:vim')
 url="http://www.vim.org"
 makedepends=('gpm' 'python2' 'libxt' 'desktop-file-utils')
-source=(ftp://ftp.archlinux.org/other/vim/${pkgname}-${pkgver}.tar.xz{,.sig}
-        pythoncomplete.vim::http://www.vim.org/scripts/download_script.php\?src_id=10872
-        vimrc archlinux.vim)
-md5sums=('fa1b6f85ff556a383e984f5bfdd578dc'
-         '675f3660d7e5b30d95263421999515e2'
+source=("ftp://ftp.archlinux.org/other/vim/vim-${pkgver}.tar.xz"
+        "ftp://ftp.archlinux.org/other/vim/vim-${pkgver}.tar.xz.sig"
+        'pythoncomplete.vim::http://www.vim.org/scripts/download_script.php?src_id=10872'
+        'vimrc'
+        'archlinux.vim'
+        'gvim.desktop')
+md5sums=('368435a6494a2559565ce4d668c4513c'
+         '1613bbbd2a794cd321db09c6cfe2d35f'
          '6e7adfbd5d26c1d161030ec203a7f243'
-         'e57777374891063b9ca48a1fe392ac05'
-         '10353a61aadc3f276692d0e17db1478e')
+         '20fceda56badf201695c57999b0bc609'
+         '10353a61aadc3f276692d0e17db1478e'
+         'd90413bd21f400313a785bb4010120cd')
 
 # source PKGBUILD && mksource
 mksource() {

Scripts/proc-check

                     ;;
         mpdscribble) mpdscribble & 
                     ;;
-          xautolock) xautolock -time 8 -locker "i3lock -c 302B54" \
-                     -nowlocker "i3lock -c 302B54" &
+          xautolock) xautolock -time 8 -locker "slock" \
+                     -nowlocker "slock" &
                     ;;
         esac
     fi
+#!/bin/bash
+# wrapper to prevent screen blanking
+
+usage() {
+    printf "%s\n" "Usage: ${0##*/} /path/to/file" 
+    exit 1
+}
+
+case $# in
+    1)  if [[ "$1" =~ "Videos" ]]; then
+            xset dpms 0 0 0
+            xautolock -disable
+            mplayer "$1"
+            xautolock -enable
+            xset dpms 900 900 900
+        else
+            usage
+        fi
+        ;;
+    *) usage
+        ;;
+esac
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.